curl --request GET \
--url https://api.paywise.de/mahnservice/v1/debtors/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paywise.de/mahnservice/v1/debtors/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/mahnservice/v1/debtors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"access_mode": "test",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"type": "company",
"customer_number": "<string>",
"email": "[email protected]",
"address": {
"street": "<string>",
"zip_code": "<string>",
"city": "<string>",
"country": "DE"
}
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"detail": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"detail": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"detail": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"detail": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"detail": "<string>",
"code": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}List debtors
Lists debtors in the token’s company and access mode. Optional customer_number (exact, case-sensitive) and email (exact, case-insensitive primary email) filters combine with AND. The response stays paginated and may contain multiple matches. Blank or invalid filters return 400 with field errors.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Exact, case-sensitive customer number. A blank value is invalid.
1 - 50Exact, case-insensitive match on the current primary email shown in the debtor response. A blank or malformed value is invalid.
1 - 254Number of results to return per page; defaults to 10.
1 <= x <= 100Zero-based index of the first result; defaults to 0.
x >= 0Response
Total number of matching resources.
123
Resources returned for the requested page.
Show child attributes
Show child attributes
URL for the next page, or null on the last page.
"http://api.example.org/accounts/?offset=400&limit=100"
URL for the previous page, or null on the first page.
"http://api.example.org/accounts/?offset=200&limit=100"
